+================================================
+                                                
+ Microsystems World CNC WinCNC  -   Vectric machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      		When       		What                         
+ =========== ========== ===========================
+ Mike/Kelly		2/3/2014          
+================================================

POST_NAME = "WinCNC ATC (*.tap)"

FILE_EXTENSION = "tap"

UNITS = "INCHES"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 1
LINE_NUMBER_INCREMENT = 1
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.6]
VAR Y_POSITION = [Y|C|Y|1.6]
VAR Z_POSITION = [Z|C|Z|1.6]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.6]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.6]
VAR X_HOME_POSITION = [XH|A|X|1.6]
VAR Y_HOME_POSITION = [YH|A|Y|1.6]
VAR Z_HOME_POSITION = [ZH|A|Z|1.6]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"[N] [91][TP_FILENAME][93]"
"[N] G90 [91]ABSOLUTE MODE[93]"
"[N]  "
"[N] M5 [91]SPINDLE OFF[93]"
"[N] G53 Z0 [91]LIFT Z TO TOP[93]"
"[N] "
"[N] T[T] [91] GET TOOL [TOOLNAME] [93]"
"[N] "
"[N] [S] [91] SET SPINDLE SPEED RPM [93]"
"[N] M3 [91]SPINDLE ON[93]"
"[N]  "
"[N] G53 Z0 [91]LIFT Z TO TOP[93]"
"[N] "
"[N] F[FC] XY [91]SET FEEDRATE FOR X AND Y[93]"
"[N] F[FP] Z [91]SET FEEDRATE FOR Z[93]"
"[N] "


+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"[N] M5"
"[N] G53 Z0"
"[N]  "
"[N] [91][TOOLNAME][93]"
"[N] T[T] [91] GET TOOL NUMBER [T] [93]"
"[N]  "
"[N] [S] [91] SET SPINDLE SPEED RPM [93]"
"[N] M3 [91]SPINDLE ON[93]"
"[N]  "
"[N] G53 Z0"
"[N] "
"[N] F[FC] XY [91]SET FEEDRATE FOR X AND Y[93]"
"[N] F[FP] Z [91]SET FEEDRATE FOR Z[93]"
"[N]  "


+---------------------------------------------------
+  Commands output for the plunge move
+---------------------------------------------------
begin PLUNGE_MOVE
"[N] M8"
"[N] G01[Z]"

+---------------------------------------------------
+  Commands output for the retract move
+---------------------------------------------------
begin RETRACT_MOVE
"[N] M9"
"[N] G00[Z]"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE


"[N] G00[X][Y]"
"[N] G00[Z]"


+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G01[X][Y][Z]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[N] G01[X][Y][Z]"

+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"[N] G02[X][Y][I][J]"


+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------

begin CW_ARC_MOVE

"[N] G02[X][Y][I][J]"


+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"[N] G03[X][Y][I][J]"


+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------

begin CCW_ARC_MOVE

"[N] G03[X][Y][I][J]"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

"[N] M5"
"[N] G53 Z0"

